From 7010fb6e02cd5a6923b75829807f9f406356b57b Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@paquier.xyz>
Date: Mon, 21 Apr 2025 10:13:56 +0900
Subject: [PATCH] Remove assertion in pgstat.c

WAL senders can flush stats, making this assertions triggerable.
---
 src/backend/utils/activity/pgstat.c | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/src/backend/utils/activity/pgstat.c b/src/backend/utils/activity/pgstat.c
index 21bdff106a93..17a910b88578 100644
--- a/src/backend/utils/activity/pgstat.c
+++ b/src/backend/utils/activity/pgstat.c
@@ -730,10 +730,7 @@ pgstat_report_stat(bool force)
 		}
 
 		if (!do_flush)
-		{
-			Assert(pending_since == 0);
 			return 0;
-		}
 	}
 
 	/*
-- 
2.49.0

